[PATCHv2] Obsolete old platforms

Tristan Gingold gingold@adacore.com
Thu Sep 29 09:55:00 GMT 2016


> On 29 Sep 2016, at 11:52, Maciej W. Rozycki <macro@linux-mips.org> wrote:
> 
> On Thu, 29 Sep 2016, Tristan Gingold wrote:
> 
>>>> + mips*-big-* | \
>>>> + mips*-dec-* | mips*el-*-ecoff* | \
>>>> + mips*-*-ecoff* | \
>>>> + mips*-sgi-* | mips*-*-bsd* | \
>>> 
>>> This will match `mips-sgi-irix5' and `mips-sgi-irix6' which are not being 
>>> removed with your change.
>> 
>> Given that you still need ecoff, I won't deprecate mips*-sig-*.
> 
> Well I withdrew my earlier objection and `mips*-sgi-*' should go, just 
> not `mips-sgi-irix5' or `mips-sgi-irix6', e.g. (to be on the safe side and 
> match the semantics of the main `case' switch):
> 
>  mips*-*-irix5* | mips*-*-irix6*)
>    # Let these through to avoid matching `mips*-sgi-*' below.
>    ;;
>  *-*-netware* | \
>  #...
>  null)
>    if test "x$enable_obsolete" != xyes; then
>      echo "*** Configuration $targ is obsolete." >&2
>    #...

Ok, let's do that for mips*-sgi-* (and for netbsd too).



More information about the Binutils mailing list